#
# spec file for package perl-MooseX-Has-Sugar
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooseX-Has-Sugar
Version:        1.000006
Release:        1.1
%define cpan_name MooseX-Has-Sugar
Summary:        Sugar Syntax for moose 'has' fields
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-Has-Sugar/
Source0:        https://cpan.metacpan.org/authors/id/K/KE/KENTNL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Sub::Exporter::Progressive)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(namespace::clean)
Requires:       perl(Sub::Exporter::Progressive)
%{perl_requires}

%description
'MooseX::Has::Sugar' and its related modules provide simple, short-hand,
bare-word functions that act as declarative macros for greatly compacting
'Moose' 'has' declarations, in a similar way to those provided by the
declarative subroutines provided by 'MooseX::Types'

This provides:

* * Less typing when defining 'has' constraints

* * Faster, more skim-readable blocks of 'has' constraints

* * Perl Language Level syntax validation at compile time

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Sat Mar  4 2017 coolo@suse.com
- updated to 1.000006
  see /usr/share/doc/packages/perl-MooseX-Has-Sugar/Changes
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.000004
  see /usr/share/doc/packages/perl-MooseX-Has-Sugar/Changes
* Sun May  1 2011 coolo@opensuse.org
- updated to 0.05070419
  Maintainence only release. No external changes.
* Fri Jan 21 2011 coolo@novell.com
- initial package 0.05055616
  * created by cpanspec 1.78.03
